[urlpattern-compare.any.sharedworker.html]
  [Component: pathname Left: {"pathname":"/foo/a"} Right: {"pathname":"/foo/b"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/b"} Right: {"pathname":"/foo/bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/bar"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:bar"} Right: {"pathname":"/foo/*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/(bar)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/{bar}+"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}+"} Right: {"pathname":"/foo/{bar}?"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}?"} Right: {"pathname":"/foo/{bar}*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/(123)"} Right: {"pathname":"/foo/(12)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:b"} Right: {"pathname":"/foo/:a"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"*/foo"} Right: {"pathname":"*"}]
    expected: FAIL

  [Component: port Left: {"port":"9"} Right: {"port":"100"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo/{:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"fo{o/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar/}?baz"}]
    expected: FAIL

  [Component: pathname Left: "https://a.example.com/b?a" Right: "https://b.example.com/a?b"]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}/baz"} Right: {"pathname":"/foo/bar/baz"}]
    expected: FAIL

  [Component: username Left: {"username":"a"} Right: {"username":"b"}]
    expected: FAIL

  [Component: password Left: {"password":"a"} Right: {"password":"b"}]
    expected: FAIL

  [Component: protocol Left: {"protocol":"a"} Right: {"protocol":"b"}]
    expected: FAIL

  [Component: search Left: {"search":"a"} Right: {"search":"b"}]
    expected: FAIL

  [Component: hash Left: {"hash":"a"} Right: {"hash":"b"}]
    expected: FAIL

  [Component: hostname Left: {"hostname":"a"} Right: {"hostname":"b"}]
    expected: FAIL


[urlpattern-compare.any.worker.html]
  expected:
    if (os == "android") and fission: [OK, TIMEOUT]
  [Component: pathname Left: {"pathname":"/foo/a"} Right: {"pathname":"/foo/b"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/b"} Right: {"pathname":"/foo/bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/bar"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:bar"} Right: {"pathname":"/foo/*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/(bar)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/{bar}+"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}+"} Right: {"pathname":"/foo/{bar}?"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}?"} Right: {"pathname":"/foo/{bar}*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/(123)"} Right: {"pathname":"/foo/(12)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:b"} Right: {"pathname":"/foo/:a"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"*/foo"} Right: {"pathname":"*"}]
    expected: FAIL

  [Component: port Left: {"port":"9"} Right: {"port":"100"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo/{:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"fo{o/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar/}?baz"}]
    expected: FAIL

  [Component: pathname Left: "https://a.example.com/b?a" Right: "https://b.example.com/a?b"]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}/baz"} Right: {"pathname":"/foo/bar/baz"}]
    expected: FAIL

  [Component: username Left: {"username":"a"} Right: {"username":"b"}]
    expected: FAIL

  [Component: password Left: {"password":"a"} Right: {"password":"b"}]
    expected: FAIL

  [Component: protocol Left: {"protocol":"a"} Right: {"protocol":"b"}]
    expected: FAIL

  [Component: search Left: {"search":"a"} Right: {"search":"b"}]
    expected: FAIL

  [Component: hash Left: {"hash":"a"} Right: {"hash":"b"}]
    expected: FAIL

  [Component: hostname Left: {"hostname":"a"} Right: {"hostname":"b"}]
    expected: FAIL


[urlpattern-compare.any.serviceworker.html]
  [Component: pathname Left: {"pathname":"/foo/a"} Right: {"pathname":"/foo/b"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/b"} Right: {"pathname":"/foo/bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/bar"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:bar"} Right: {"pathname":"/foo/*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/(bar)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/{bar}+"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}+"} Right: {"pathname":"/foo/{bar}?"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}?"} Right: {"pathname":"/foo/{bar}*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/(123)"} Right: {"pathname":"/foo/(12)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:b"} Right: {"pathname":"/foo/:a"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"*/foo"} Right: {"pathname":"*"}]
    expected: FAIL

  [Component: port Left: {"port":"9"} Right: {"port":"100"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo/{:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"fo{o/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar/}?baz"}]
    expected: FAIL

  [Component: pathname Left: "https://a.example.com/b?a" Right: "https://b.example.com/a?b"]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}/baz"} Right: {"pathname":"/foo/bar/baz"}]
    expected: FAIL

  [Component: username Left: {"username":"a"} Right: {"username":"b"}]
    expected: FAIL

  [Component: password Left: {"password":"a"} Right: {"password":"b"}]
    expected: FAIL

  [Component: protocol Left: {"protocol":"a"} Right: {"protocol":"b"}]
    expected: FAIL

  [Component: search Left: {"search":"a"} Right: {"search":"b"}]
    expected: FAIL

  [Component: hash Left: {"hash":"a"} Right: {"hash":"b"}]
    expected: FAIL

  [Component: hostname Left: {"hostname":"a"} Right: {"hostname":"b"}]
    expected: FAIL


[urlpattern-compare.any.html]
  [Component: pathname Left: {"pathname":"/foo/a"} Right: {"pathname":"/foo/b"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/b"} Right: {"pathname":"/foo/bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/bar"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/"} Right: {"pathname":"/foo/:bar"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:bar"} Right: {"pathname":"/foo/*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/(bar)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}"} Right: {"pathname":"/foo/{bar}+"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}+"} Right: {"pathname":"/foo/{bar}?"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}?"} Right: {"pathname":"/foo/{bar}*"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/(123)"} Right: {"pathname":"/foo/(12)"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/:b"} Right: {"pathname":"/foo/:a"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"*/foo"} Right: {"pathname":"*"}]
    expected: FAIL

  [Component: port Left: {"port":"9"} Right: {"port":"100"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo/{:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"fo{o/:bar}?/baz"}]
    expected: FAIL

  [Component: pathname Left: {"pathname":"foo/:bar?/baz"} Right: {"pathname":"foo{/:bar/}?baz"}]
    expected: FAIL

  [Component: pathname Left: "https://a.example.com/b?a" Right: "https://b.example.com/a?b"]
    expected: FAIL

  [Component: pathname Left: {"pathname":"/foo/{bar}/baz"} Right: {"pathname":"/foo/bar/baz"}]
    expected: FAIL

  [Component: username Left: {"username":"a"} Right: {"username":"b"}]
    expected: FAIL

  [Component: password Left: {"password":"a"} Right: {"password":"b"}]
    expected: FAIL

  [Component: protocol Left: {"protocol":"a"} Right: {"protocol":"b"}]
    expected: FAIL

  [Component: search Left: {"search":"a"} Right: {"search":"b"}]
    expected: FAIL

  [Component: hash Left: {"hash":"a"} Right: {"hash":"b"}]
    expected: FAIL

  [Component: hostname Left: {"hostname":"a"} Right: {"hostname":"b"}]
    expected: FAIL
